Type to search.

MCP server

Base URL
https://{kibana_url}
  • POST /api/agent_builder/mcp
  • POST /s/{space_id}/api/agent_builder/mcp
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.2 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.
Warning

This endpoint is designed for MCP clients (Claude Desktop, Cursor, VS Code, etc.) and should not be used directly via REST APIs. Use MCP Inspector or native MCP clients instead.

To learn more about the Agent Builder MCP server, refer to the MCP documentation.

Required privileges

Privileges agentBuilder:read

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

namespace string

Comma-separated list of namespaces to filter tools. Only tools matching the specified namespaces will be returned.

Request body

Type: object

Response

200

Indicates a successful response

application/json